#! /bin/bash

API_BRANCH="develop"
FRONT_BRANCH="master"
echo "Initializing repositories..."
git clone https://dev.funkwhale.audio/funkwhale/api.git api
git clone https://dev.funkwhale.audio/funkwhale/front.git front

echo "Updating repositories..."
git -C api checkout $API_BRANCH
git -C api pull
git -C front checkout $FRONT_BRANCH
git -C front pull

echo "Copying music directory..."
cp -r music api/

echo "Setting up api .env file..."
cp ./api-env api/.env

echo "Setting up front .env file..."
cp ./front-env front/.env

echo "Stopping previous demo..."
docker-compose -p funkwhale_demo_api -f api/docker-compose.yml run api rm -rf media
docker-compose -p funkwhale_demo_api -f api/docker-compose.yml down -v
docker-compose -p funkwhale_demo_front -f front/dev.yml down -v
rm -rf api/funkwhale_api/media

echo "Compiling front-end files..."
docker-compose -p funkwhale_demo_front -f front/dev.yml run app npm run build

echo "Configuring api..."
docker-compose -p funkwhale_demo_api -f api/docker-compose.yml build
docker-compose -p funkwhale_demo_api -f api/docker-compose.yml up -d postgres
sleep 5
docker-compose -p funkwhale_demo_api -f api/docker-compose.yml run api ./demo/load-demo-data.sh

docker-compose -p funkwhale_demo_api -f api/docker-compose.yml up -d
